Mokslo ir technologijų pasaulis

Būtinai atsinaujinkite „Apple“, „Google“ ir „Linux“ programinę įrangą: surastos kritinės saugumo spragos!
Publikuota: 2016-01-25

Dabar būtų tinkamas metas atsinaujinti išmaniųjų telefonų, kompiuterių ir serverių programinę įrangą. Šią savaitę buvo praneša apie šimtus pažeidžiamumų, taip pat ir „Apple“ ar „Google“ gamintuose telefonuose. Didelė dalis pažeidžiamumų yra kritiniai, skelbia forbes.com.

„iOS“ 9.2.1 atnaujinimas vartotojams buvo išsiųstas antradienį ir juo ištaisyti devyni pažeidžiamumai, kuriuos atrado „Yahoo“, „Google“, „Trend Micro“ ir įvairios mažesnės bendrovės.

Du iš pažeidžiamumų – vienas „WebKit“ programinėje įrangoje, kuri veikia „Safari“, ir kitas, esantis programinės įrangos bibliotekoje, vadinamas „libxslt“ – galėjo užkrėsti įrenginius, jei vartotojai būtų aplankę specialiai parengtą tinklalapį su kenkėjiškomis programomis. Apie iššūkius vartotojai gali sužinoti oficialiame „Apple“ puslapyje.

Dalis pažeidžiamumų gali pasiekti ir „iPhone“ telefonus, taip pat su „Mac OS X El Captain“ veikiančius kompiuterius. „Apple“ kol kas neišsiuntė atnaujinimų „Gatekeeper“ pažeidžiamumui, apie kuriuos praėjusią savaitę pranešė saugos tyrėjas Patrickas Wardle'as.

Kol kas neaišku, ar bus atsiųsta atnaujinimų „Android“ telefonams. Kritinė saugumo spraga, esanti visose versijose nuo „KitKat“, gali būti išnaudota panaudojus kenkėjišką programėlę, kuri leidžia gauti prieigą prie esminių valdymo funkcijų ir duomenų.

Šią savaitę bus atsiųsti atnaujinimai ir „Linux“ operacinei sistemai. Pažeidžiamumas slypi operacinės sistemos branduolyje ir egzistavo nuo 2012 metų, teigia kompiuterių saugos įmonės „Perception Point“ atstovai, kurie teigia, kad dešimtys milijonų su „Linux“ veikiančių kompiuterių ir serverių taip pat yra potencialiame pavojuje.